<?php
/**
 * Slightly Modified Options Framework
 */
  $data = '';
require_once ('admin/index.php');
	/**
	 * Load up our theme options page and related code.
	*/
	require( get_template_directory() . '/inc/theme-options.php' );
//Seo Friendly Title
function rafi_wp_title( $title ) {
	global $page, $paged;

	if ( is_feed() )
		return $title;

	$site_description = get_bloginfo( 'description' );

	$filtered_title = $title . get_bloginfo( 'name' );
	$filtered_title .= ( ! empty( $site_description ) && ( is_home() || is_front_page() ) ) ? ' | ' . $site_description: '';
	$filtered_title .= ( 2 <= $paged || 2 <= $page ) ? ' | ' . sprintf( __( 'Page %s', 'rafi' ), max( $paged, $page ) ) : '';

	return $filtered_title;
}
add_filter( 'wp_title', 'rafi_wp_title' );
//functions for language file
function rafi_lang_setup(){
    load_theme_textdomain('rafi', get_template_directory() . '/languages');
}
add_action('after_setup_theme', 'rafi_lang_setup');
//comment and main style
function rafi_scripts() {
wp_enqueue_style( 'rafi', get_stylesheet_uri() );

if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'rafi_scripts' );
function rafi_widgets_init() {
// Register The Sidebar
register_sidebar( array(
'name' => 'slider_Sidebar',
'id' => 'slider_Sidebar',
'description' => __( 'your home page post over ad space', 'rafi' ),
'before_widget' => '<div id="%1$s" class="widget %2$s">',
'after_widget' => '</div>',
'before_title' => '<h3>',
'after_title' => '</h3>
',
) );
register_sidebar( array(
'name' => 'left_Sidebar',
'id' => 'left_Sidebar',
'description' => __( 'Themes left sidebar area , use a 160 by 600 size ads code here', 'rafi' ),
'before_widget' => '<div id="%1$s" class="widget %2$s">',
'after_widget' => '</div>',
'before_title' => '<h3>',
'after_title' => '</h3>
',
) );
register_sidebar( array(
'name' => 'right_Sidebar',
'id' => 'right_Sidebar',
'description' => __( 'Themes right sidebar area , use a 160 by 600 size ads code here', 'rafi' ),
'before_widget' => '<div id="%1$s" class="widget %2$s">',
'after_widget' => '</div>',
'before_title' => '<h3>',
'after_title' => '</h3>
',
) );
register_sidebar(array(
'name' => 'Footer Widget 1',
'id'        => 'footer-1',
'description' => __( 'First footer widget area', 'rafi' ),
'before_widget' => '',
'after_widget' => '',
'before_title' => '<h2>',
'after_title' => '</h2>',
));

register_sidebar(array(
'name' => 'Footer Widget 2',
'id'        => 'footer-2',
'description' => __( 'Second footer widget area', 'rafi' ),
'before_widget' => '',
'after_widget' => '',
'before_title' => '<h2>',
'after_title' => '</h2>',
));

register_sidebar(array(
'name' => 'Footer Widget 3',
'id'        => 'footer-3',
'description' => __( 'Third footer widget area', 'rafi' ),
'before_widget' => '',
'after_widget' => '',
'before_title' => '<h2>',
'after_title' => '</h2>',
));
}
add_action( 'widgets_init', 'rafi_widgets_init' );

function rafi_setup() {

if ( ! isset( $content_width ) ) $content_width = 700;
//important
add_theme_support( 'automatic-feed-links' );
add_editor_style( 'style.css' );
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'post-thumbnails' );
add_image_size('post-thumbnails', 200, 140, true); // Sets Index Page Thumbnails
add_image_size('related-thumbnails', 75, 75, true); // Sets related Thumbnails
add_theme_support( "title-tag" );
//link thumnail to post
function wb_autolink_featured_images( $html, $post_id, $post_image_id ) {
$html = '<a href="' . get_permalink( $post_id ) . '" title="' . esc_attr( get_the_title( $post_id ) ) . '">' . $html . '</a>';
return $html;
}
add_filter( 'post_thumbnail_html', 'wb_autolink_featured_images', 10, 3 );
//custom background
$defaults = array(
'default-color' => 'DDDDDD',
'default-image'  =>  get_template_directory_uri() . '/images/default-bg.jpg'
);
add_theme_support('custom-background',$defaults);
//Logo section
add_theme_support('custom-logo', array(
        'height' => 90,
        'width' => 300,
        'flex-width' => true,
        'flex-height' => true,
        'header-text' => array( 'site-title', 'site-description' )         
));
//navigation menu
register_nav_menu( 'header-menu',__( 'Header Menu', 'rafi' ) );
}
add_action( 'after_setup_theme', 'rafi_setup' );

/* related post */
function rafi_related_post(){
	$post_id = get_the_ID();
		$args = array(
   			'orderby' => 'rand',
   			'posts_per_page' => 4,
   			'post__not_in' => array( $post_id ),
			'post__not_in' => get_option('sticky_posts'),
		);
	$rand_query = new WP_Query( $args ); ?>
		<ul class="related-post-main">
        <h3><?php _e( 'More articles you may like also..', 'rafi' ); ?> </h3>
			<?php while ( $rand_query->have_posts() ) : $rand_query->the_post(); ?>
   			<li>
           <a href="<?php the_permalink() ?>" title="<?php the_title_attribute() ?>"> <h4><?php the_title() ?></h4></a>
            </li>
			<?php endwhile; ?>
		</ul>
	<?php wp_reset_postdata();
}
?>